> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taimly.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Удалить письмо

> Удаляет письмо вместе с оригиналом и вложениями.



## OpenAPI

````yaml /openapi.json delete /api/mail/messages/{message_id}
openapi: 3.1.0
info:
  title: Taimly API
  version: 1.3.0
  description: >-
    API Taimly: проверка доставляемости email (Spam Check) и временные почты для
    приёма писем.
servers:
  - url: https://taimly.net
    description: Production
security:
  - BearerAuth: []
paths:
  /api/mail/messages/{message_id}:
    delete:
      tags:
        - Временные почты
      summary: Удалить письмо
      description: Удаляет письмо вместе с оригиналом и вложениями.
      operationId: deleteMessage
      parameters:
        - name: message_id
          in: path
          required: true
          description: '`id` письма'
          schema:
            type: string
            example: 9f2c4e1a7b3d5f60
      responses:
        '200':
          description: Удалено
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponse'
              example:
                ok: true
        '401':
          description: Невалидный или отсутствующий API-ключ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Invalid or missing API key
        '404':
          description: Письмо не найдено или принадлежит другому пользователю
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Message not found
components:
  schemas:
    OkResponse:
      type: object
      properties:
        ok:
          type: boolean
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
          description: Описание ошибки
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API-ключ. Передаётся в заголовке `Authorization: Bearer <ваш_ключ>`.
        Ключ выдаётся администратором Taimly.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.